/*
	NXEPSImageRep.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSImageRep.h"
#import <objc/List.h>
#import <streams/streams.h>
#import <objc/zone.h>

@interface NSEPSImageRep : NSImageRep
{
    char               *_fileName;
    NSPoint             _bBoxOrigin;
    char               *_memory;
    int                 _epsLen;
    short               _epsOffset;
    short		_reservedShort;
    char               *_otherName;
    int                 _reservedInt;
}

+ (id)imageRepWithData:(NSData *)tiffData;	/* Convenience of initWithData: */
- (id)initWithData:(NSData *)tiffData;

- prepareGState;

- (NSData *)EPSRepresentation;

- (NSRect)boundingBox;

@end

