/*
	TextFieldCell.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSActionCell.h"
#import "NSColor.h"

@interface NSTextFieldCell : NSActionCell
{
    float               backgroundGray;
    float               textGray;
    void	        *_private;
}

- initTextCell:(NSString *)aString;

- (BOOL)isOpaque;
- setBezeled:(BOOL)flag;
- setBackgroundColor:(NSColor *)color;
- (NSColor *)backgroundColor;
- setBackgroundTransparent:(BOOL)flag;
- (BOOL)isBackgroundTransparent;
- setTextColor:(NSColor *)color;
- (NSColor *)textColor;
- drawSelf:(NSRect)cellFrame inView:controlView;
- drawInside:(NSRect)cellFrame inView:controlView;
- setUpFieldEditorAttributes:textObj;
- (BOOL)trackMouse:(NSEvent *)event inRect:(NSRect)aRect ofView:controlView untilMouseUp:(BOOL)untilMouseUp;

@end
