/*
	NXCachedImageRep.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSImageRep.h"
#import "NSWindow.h"
#import <objc/zone.h>

@interface NSCachedImageRep : NSImageRep
{
    NSPoint             _origin;
    int                 _reservedInt1;
    NSWindow	       *_window;
    void	       *_cache;
    int			_reservedInt2;
}

/* References the specified rect within the window; the window is retained */
- initWithWindow:(NSWindow *)win rect:(NSRect)rect;

/* Creates a location in some window. Will be freed when rep is freed */
- initWithSize:(NSSize)size depth:(NSWindowDepth)depth separate:(BOOL)flag alpha:(BOOL)alpha;

- (NSWindow *)window;
- (NSRect)rect;

@end
