/*
	Responder.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import <Foundation/NSObject.h>
#import "dpsclient.h"
#import <objc/hashtable.h>

@class NSEvent;

@interface NSResponder : NSObject
{
    id                  nextResponder;
    id                  _reserved;
}

- nextResponder;
- setNextResponder:aResponder;
- (BOOL)tryToPerform:(SEL)anAction with:anObject;
- (BOOL)performKeyEquivalent:(NSEvent *)theEvent;
- validRequestorForSendType:(NSString *)sendType andReturnType:(NSString *)returnType;
- mouseDown:(NSEvent *)theEvent;
- rightMouseDown:(NSEvent *)theEvent;
- mouseUp:(NSEvent *)theEvent;
- rightMouseUp:(NSEvent *)theEvent;
- mouseMoved:(NSEvent *)theEvent;
- mouseDragged:(NSEvent *)theEvent;
- rightMouseDragged:(NSEvent *)theEvent;
- mouseEntered:(NSEvent *)theEvent;
- mouseExited:(NSEvent *)theEvent;
- keyDown:(NSEvent *)theEvent;
- keyUp:(NSEvent *)theEvent;
- flagsChanged:(NSEvent *)theEvent;
- noResponderFor:(NSString *)eventType;
- (BOOL)acceptsFirstResponder;
- becomeFirstResponder;
- resignFirstResponder;
- helpRequested:(NSEvent *)eventPtr;

@end
