/*
	Slider.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSControl.h"

@interface NSSlider : NSControl
{
}

+ setCellClass:factoryId;

- initFrame:(NSRect)frameRect;

- sizeToFit;
- (double)minValue;
- setMinValue:(double)aDouble;
- (double)maxValue;
- setMaxValue:(double)aDouble;
- setTitleCell:aCell;
- titleCell;
- setTitleGray:(float)grayVal;
- (float)titleGray;
- setTitleColor:(NSColor *)newColor;
- (NSColor *)titleColor;
- setTitleFont:fontObj;
- titleFont;
- (NSString *)title;
- setTitle:(NSString *)aString;
- setKnobThickness:(float)aFloat;
- (float)knobThickness;
- setImage:backgroundImage;
- image;
- (int)isVertical;
- setEnabled:(BOOL)flag;
- mouseDown:(NSEvent *)theEvent;
- (BOOL)acceptsFirstMouse;

@end
